Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045495
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Coupons OTFmajoralways2020-11-24 11:372021-02-11 15:31
ReporterwicherrView Statuspublic 
Assigned Toprakashmurugesan88 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0045495: Head settings of OTF rules doesn't work as expected

DescriptionThere are 2 ways to control an amount in the OTF settings :

1rst : in the header settings. Should control the receipt amount
2nd : in the product tab, should control the product line amount

Currently, if :
- I uncheck "is one coupon per transaction"
- I put for instance 100€ in minimum amount in the header

If I put 2 different products at 150€ for instance (so my receipt is at 300€) => 6 coupons are generated! (expected 3)

Steps To Reproduce- Create an OTF rule with a minimum amount in header and uncheck "is one coupon per transaction"
- On webPOS, add several products which the prices are more than the minimum defined
- finalize the sale

=> The number of coupons generated is :
(total receipt amount)modulo(minimum defined) * (number of lines with price > minimum defined)
Proposed SolutionIf the minimum amount is defined in the header of the rule, the amount checked should be ONLY the one of the ticket (taking into account the inclusions and exclusions for sure)

If the minimum amount is defined at product level of the OTF rule, the amounts checked should be the one of the products defined in this way.
TagsNOR
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0045494 closedranjith_qualiantech_com OTF rules expired continue to generate coupons 
related to defect 0045885 closedranjith_qualiantech_com OTF Rule generate cupons with products that are excluded. 

-  Notes
(0124581)
wicherr (developer)
2020-11-24 11:41

In the same vein, for instance, if I put in the basket 2 different products at 60€ (so my basket is 120€) and 100€ is defined in the OTF header and "is one coupon per transaction" is unchecked, then 0 coupon is generated (expected 1)
(0124629)
hgbot (developer)
2020-11-26 11:41

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts.coupons.otf/-/merge_requests/4 [^]
(0124644)
hgbot (developer)
2020-11-27 08:58

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts.coupons.otf/-/merge_requests/4 [^]
(0124645)
hgbot (developer)
2020-11-27 08:58

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts.coupons.otf [^]
Changeset: c9ac4efa19a7c1fb3e4929106d9a42a1a289681d
Author: Prakash M <prakash@qualiantech.com>
Date: 2020-11-26T11:15:59+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts.coupons.otf/-/commit/c9ac4efa19a7c1fb3e4929106d9a42a1a289681d [^]

Fixed BUG-45495: Fixes no of coupons generated when minimum amount is defined in the header of the rule

---
M web/org.openbravo.retail.discounts.coupons.otf/js/utils.js
---

- Issue History
Date Modified Username Field Change
2020-11-24 11:37 wicherr New Issue
2020-11-24 11:37 wicherr Assigned To => Retail
2020-11-24 11:37 wicherr Triggers an Emergency Pack => No
2020-11-24 11:37 wicherr Tag Attached: NOR
2020-11-24 11:37 wicherr Tag Attached: NORAUTO
2020-11-24 11:41 wicherr Note Added: 0124581
2020-11-24 11:58 rafaroda Tag Detached: NORAUTO
2020-11-25 05:10 prakashmurugesan88 Assigned To Retail => prakashmurugesan88
2020-11-26 11:41 hgbot Note Added: 0124629
2020-11-26 11:41 prakashmurugesan88 Status new => scheduled
2020-11-27 08:58 hgbot Note Added: 0124644
2020-11-27 08:58 hgbot Resolution open => fixed
2020-11-27 08:58 hgbot Status scheduled => closed
2020-11-27 08:58 hgbot Note Added: 0124645
2020-11-27 13:15 rafaroda Relationship added related to 0045494
2021-02-11 15:31 rafaroda Relationship added related to 0045885


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker